export class Url {
    /**
     * 传入对象返回url参数
     * @param {Object} data {a:1}
     * @returns {string}
     */
    getParam(data) {
        let url = '';
        for (let k in data) {
            let value = data[k] !== undefined ? data[k] : '';
            if (value !== undefined && value !== "" && value !== null) {
                url += `&${k}=${encodeURIComponent(value)}`
            }
        }
        return url ? url.substring(1) : ''
    }

    /**
     * 将url和参数拼接成完整地址
     * @param {string} url url地址
     * @param {Json} data json对象
     * @returns {string}
     */
    getUrl(url, data) {
        //看原始url地址中开头是否带?，然后拼接处理好的参数w
        return url += (url.indexOf('?') < 0 ? '?' : '') + this.getParam(data)
    }
}
